$PackageName = 'alacritty.portable'
$Url64 = 'https://github.com/alacritty/alacritty/releases/download/v0.3.0-rc3/Alacritty-v0.3.0-rc3-windows-portable.zip'
$Checksum64 = 'fedb19fab5cd0e277dd6c7c3319809aa5aa6fa97fa88d10bd4e12d4967f86071cf0de3619bed08ec63e1dfa9ddd5a3163348b2fa389665373776dc041a092a33'
$ChecksumType64 = 'sha512'
$ToolsPath = Split-Path -Parent $MyInvocation.MyCommand.Definition
$InstallDir = Join-Path $(Get-ToolsLocation) "alacritty"

$desktop = [System.Environment]::GetFolderPath("Desktop")

$PackageArgs = @{
	PackageName = $PackageName
	Url64 = $Url64
	Checksum64 = $Checksum64
	ChecksumType64 = $ChecksumType64
	UnzipLocation = $InstallDir
}
Install-ChocolateyZipPackage @PackageArgs

Install-BinFile alacritty -path "$InstallDir\alacritty.exe" -UseStart
Install-ChocolateyShortcut -ShortcutFilePath "$desktop\Alacritty.lnk" -TargetPath "$InstallDir\alacritty.exe" -WorkingDirectory "$InstallDir" -WindowStyle 1
